=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20250909.0648-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 06:48:31 +0000

kdesvn (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Backport upstream commit 4ec7f30e1560ae9df2572fc4a061e4e5126839d8 to use
    a better "help" URL in the AppStream XML file; patch
    upstream_appdata-more-general-doc-URL.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Jan 2023 10:41:12 +0100
