## kdesvn 2.1.0+p24.04+vstable+git20250922.1024

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20250922.1024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 10:25:03 +0000
