## kdesvn 2.1.0+p24.04+vstable+git20251231.0457

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20251231.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:57:57 +0000
