## kdesvn 2.1.0+p24.04+vstable+git20260103.0058

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260103.0058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:58:49 +0000
