## kdesvn 2.1.0+p24.04+vstable+git20260122.0449

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260122.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:49:32 +0000
