## kdesvn 2.1.0+p24.04+vstable+git20260131.0234

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260131.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:34:31 +0000
