## kdesvn 2.1.0+p24.04+vstable+git20260204.0853

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vstable+git20260204.0853-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:53:37 +0000
