## kdesvn 2.1.0+p24.04+vunstable+git20251021.0237

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20251021.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:38:01 +0000
