## kdesvn 2.1.0+p24.04+vunstable+git20251204.0020

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 ####
  #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
- #   http://kdesvn.alwins-world.de/                                        #
  #                                                                         #
  #   This program is free software; you can redistribute it and/or modify  #
  #   it under the terms of the GNU General Public License as published by  #
@@ -17,44 +16,42 @@
  #   Free Software Foundation, Inc.,                                       #
  #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
  ####
+
+cmake_minimum_required(VERSION 3.16.0)
+
 project(kdesvn)
 set(PACKAGENAME "${CMAKE_PROJECT_NAME}")
-cmake_minimum_required(VERSION 3.1.0)
-if(POLICY CMP0063)
-  CMAKE_POLICY(SET CMP0063 NEW) # Honor visibility properties for all target types.
-endif()
 
-if(POLICY CMP0063)
-  cmake_policy(SET CMP0063 NEW) # Honor visibility properties for all target types (since cmake 3.3)
-endif()
+set(QT_MIN_VERSION "6.5")
+set(KF_MIN_VERSION "6.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.0")
 
 # Where to look for Findxxx.cmake modules
-find_package(ECM 5.10.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_SOURCE_DIR}/src/svnqt/cmake)
-# Automatically include the current source and binary dirs
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-set(CXX_STANDARD 11)
-set(CMAKE_CXX_STANDARD_REQUIRED 11)
 add_definitions(-DTRANSLATION_DOMAIN="kdesvn")
 
+include(ECMAddTests)
+include(ECMDeprecationSettings)
 include(KDEInstallDirs)
-include(KDECompilerSettings)
 include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
 include(FeatureSummary)
 include(ECMInstallIcons)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Bookmarks Codecs Completion Config
     ConfigWidgets CoreAddons DBusAddons DocTools
     I18n IconThemes ItemViews JobWidgets KIO
     Notifications Parts Service TextWidgets
     Wallet WidgetsAddons XmlGui
 )
-set(QT_MIN_VERSION 5.9.0)
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
-    Core DBus Gui Sql Widgets Xml
+
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+    Core DBus Gui Sql Widgets Xml Core5Compat
 )
 
 # Set the version
@@ -82,22 +79,10 @@
 if(TESTINGBUILD)
     add_definitions(-DTESTING_RC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"${CMAKE_SOURCE_DIR}/src/kdesvn_part.rc\\\"\")
     add_definitions(-DFORCE_ASKPASS=\"\\\"${CMAKE_BINARY_DIR}/bin/kdesvnaskpass\\\"\")
-    add_definitions(-DEXTRA_KDE_LIBPATH=\"\\\"${PROJECT_BINARY_DIR}/lib\\\"\")
     add_definitions(-DDEBUG_TIMER=1)
 endif()
 
-add_definitions(-DQT_USE_QSTRINGBUILDER)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
-# not (yet) possible
-#add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_RESTRICTED_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-# kde headers still use Q_FOREACH... :(
-# add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DEPRECATED_WARNINGS)
-add_definitions(-DQT_STRICT_ITERATORS)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050900)
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+ecm_set_disabled_deprecation_versions(QT 6.9 KF 6.17)
 
 # include(MacroEnsureVersion)
 include(FindSubversion)
@@ -108,6 +93,8 @@
 
 include_directories(
     ${CMAKE_BINARY_DIR}
+)
+include_directories(SYSTEM
     ${APR_INCLUDE_DIR}
     ${APU_INCLUDE_DIR}
     ${SUBVERSION_INCLUDE_DIR}
@@ -135,4 +122,9 @@
 
 ki18n_install(po)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
