=== src/svnqt/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 ####
  #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
- #   http://kdesvn.alwins-world.de/                                        #
  #                                                                         #
  #   This program is free software; you can redistribute it and/or modify  #
  #   it under the terms of the GNU General Public License as published by  #
@@ -83,6 +82,7 @@
     @ONLY)
 
 add_library(svnqt STATIC ${SOURCES})
+set_target_properties(svnqt PROPERTIES POSITION_INDEPENDENT_CODE ON)
 if(WIN32)
     target_compile_definitions(svnqt PUBLIC _USE_32BIT_TIME_T)
 endif()
@@ -102,9 +102,9 @@
 target_link_libraries(svnqt
     PUBLIC
         ${SUBVERSION_ALL_LIBS}
-        KF5::ConfigCore
-        Qt5::Core
-        Qt5::Sql
+        KF6::ConfigCore
+        Qt::Core
+        Qt::Sql
 )
 target_include_directories(svnqt
     PUBLIC
@@ -115,7 +115,7 @@
 set_property(TARGET svnqt PROPERTY CXX_VISIBILITY_PRESET hidden)
 
 if(Backtrace_FOUND)
-     target_include_directories(svnqt PUBLIC SYSTEM ${Backtrace_INCLUDE_DIRS})
+     target_include_directories(svnqt SYSTEM PUBLIC ${Backtrace_INCLUDE_DIRS})
      target_link_libraries(svnqt PUBLIC ${Backtrace_LIBRARY})
 endif()
 
@@ -124,12 +124,12 @@
 endif()
 
 # Just a small linking test
-if(KDE4_BUILD_TESTS)
+if(BUILD_TESTING)
     add_executable(testlink testmain.cpp)
     target_link_libraries(testlink svnqt)
 endif()
 
-if(KDE4_BUILD_TESTS)
+if(BUILD_TESTING)
   add_subdirectory(tests)
   add_subdirectory(cache/test)
 endif()
