=== debian/control ===
Source: kdesvn
Section: vcs
Priority: optional
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libsvn-dev (>= 1.6.0),
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/sdk/kdesvn
Vcs-Git: https://invent.kde.org/neon/extras/kdesvn.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdesvn
Maintainer: Neon CI <neon@kde.org>

Package: kdesvn
Architecture: any
Depends: kdesvn-kio-plugins (= ${binary:Version}),
         qt6-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: graphviz, kompare
Suggests: kdiff3, khelpcenter
Description: Subversion client with tight KDE integration
 KDESvn is a graphical client for the Subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into KDE and can be embedded into other KDE
 applications like Konqueror via the KDE component technology KParts.

Package: kdesvn-kio-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Subversion I/O slaves for KDE
 This package includes KIO slaves for svn, svn+file, svn+http,
 svn+https, svn+ssh. This allows you to access Subversion repositories
 inside any KIO enabled KDE application.
 .
 This package is part of kdesvn.
