## kdesvn 2.1.0+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:07:38 +0000
