## kdesvn 2.1.0+p24.04+vunstable+git20260205.0745

=== debian/changelog ===
kdesvn (2.1.0+p24.04+vunstable+git20260205.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:45:20 +0000
